## org.eclipse.jst.jsf.core.jsflibraryregistry
Class PluginProvidedJSFLibraryArchiveFilesDelegate

    java.lang.Object
      org.eclipse.jst.jsf.core.jsflibraryregistry.PluginProvidedJSFLibraryArchiveFilesDelegate

Deprecated.

    public abstract class PluginProvidedJSFLibraryArchiveFilesDelegate

extends java.lang.Object

Abstract class to be used for supplying the jar file names for a plugin provided jsf library.
Adopters must implement getArchiveFiles() making use of the addArchiveFile(String pluginRootRelativePath) method.
Note: A plugin providing jsf libraries cannot be jarred at this time.
ex.

    public void getArchiveFiles() {
                                                    addArchiveFile("/lib/JAR1.jar");
                                                    addArchiveFile("/lib/JAR2.jar");
                                            }

Provisional API - subject to change

Constructor Summary
`PluginProvidedJSFLibraryArchiveFilesDelegate()` Deprecated. Constructs an instance.

Method Summary
`abstract void` `getArchiveFiles()` Deprecated. Concrete delegate must implement this method to define jars in the library.
`void` `setCreationHelper(org.eclipse.jst.jsf.core.jsflibraryregistry.internal.PluginProvidedJSFLibraryCreationHelper2 helper)` Deprecated. Not to be implemented by subclasses

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### PluginProvidedJSFLibraryArchiveFilesDelegate

    public PluginProvidedJSFLibraryArchiveFilesDelegate()

  Deprecated.
  Constructs an instance.

Method Detail

### getArchiveFiles

    public abstract void getArchiveFiles()

  Deprecated.
  Concrete delegate must implement this method to define jars in the library. Use addJarFile(String pluginRootRelativePath) within this method to add jars to the library.

### setCreationHelper

    public void setCreationHelper(org.eclipse.jst.jsf.core.jsflibraryregistry.internal.PluginProvidedJSFLibraryCreationHelper2 helper)

  Deprecated.
  Not to be implemented by subclasses

  Parameters:
    `helper` -